Bug 1372638 - The protobuf should use qps rather than ops after upgrade
Summary: The protobuf should use qps rather than ops after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-02 09:28 UTC by Anping Li
Modified: 2016-09-19 13:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:32:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Anping Li 2016-09-02 09:28:50 UTC
Description of problem:

The bug have been fix for installation. https://bugzilla.redhat.com/show_bug.cgi?id=1364431. it also should be fixed for upgrade.

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.3.20-1.git.0.d15a8dc.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. check the master-config.yaml after upgrade.
grep -A 4 externalKubernetesClientConnectionOverrides master-config.yaml
  externalKubernetesClientConnectionOverrides:
    acceptContentTypes: application/vnd.kubernetes.protobuf,application/json
    burst: 400
    contentType: application/vnd.kubernetes.protobuf
    ops: 200
2. check node-config.yaml after upgrade

grep -A 4 masterClientConnectionOverrides node-config.yaml
masterClientConnectionOverrides:
  acceptContentTypes: application/vnd.kubernetes.protobuf,application/json
  burst: 40
  contentType: application/vnd.kubernetes.protobuf
  ops: 20

Actual results:


Expected results:
It should be   qps: 20

Additional info:

Comment 1 Jordan Liggitt 2016-09-02 13:14:49 UTC
fix in https://github.com/openshift/openshift-ansible/pull/2400

Comment 2 Scott Dodson 2016-09-02 17:56:29 UTC
backported to enterprise-3.3 branch here https://github.com/openshift/openshift-ansible/pull/2403

Comment 4 Anping Li 2016-09-14 03:18:22 UTC
qps was used in configure files now.

---
> kubeletArguments:
> masterClientConnectionOverrides:
>   acceptContentTypes: application/vnd.kubernetes.protobuf,application/json
>   burst: 40
>   contentType: application/vnd.kubernetes.protobuf
>   qps: 20


Note You need to log in before you can comment on or make changes to this bug.